test: pciintrf.h File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# pciintrf.h File Reference

Go to the source code of this file.

## Classes

struct | _PCI_CARDBUS_INTERFACE_PRIVATE
struct | _PCI_PME_INTERFACE

## Defines

#define | PCI_CB_INTRF_VERSION 1
#define | PCI_PME_INTRF_STANDARD_VER 1

## Typedefs

typedef NTSTATUS(* | PCARDBUSADD )(IN PDEVICE_OBJECT DeviceObject, IN OUT PVOID *DeviceContext)
typedef NTSTATUS(* | PCARDBUSDELETE )(IN PVOID DeviceContext)
typedef NTSTATUS(* | PCARDBUSPCIDISPATCH )(IN PVOID DeviceContext, IN PIRP Irp)
typedef _PCI_CARDBUS_INTERFACE_PRIVATE | PCI_CARDBUS_INTERFACE_PRIVATE
typedef _PCI_CARDBUS_INTERFACE_PRIVATE * | PPCI_CARDBUS_INTERFACE_PRIVATE
typedef VOID(* | PPME_GET_INFORMATION )(IN PDEVICE_OBJECT Pdo, OUT PBOOLEAN PmeCapable, OUT PBOOLEAN PmeStatus, OUT PBOOLEAN PmeEnable)
typedef VOID(* | PPME_CLEAR_PME_STATUS )(IN PDEVICE_OBJECT Pdo)
typedef VOID(* | PPME_SET_PME_ENABLE )(IN PDEVICE_OBJECT Pdo, IN BOOLEAN PmeEnable)
typedef _PCI_PME_INTERFACE | PCI_PME_INTERFACE
typedef _PCI_PME_INTERFACE * | PPCI_PME_INTERFACE

## Functions

| DEFINE_GUID (GUID_PCI_CARDBUS_INTERFACE_PRIVATE, 0xcca82f31, 0x54d6, 0x11d1, 0x82, 0x24, 0x00, 0xa0, 0xc9, 0x32, 0x43, 0x85)
| DEFINE_GUID (GUID_PCI_PME_INTERFACE, 0xaac7e6ac, 0xbb0b, 0x11d2, 0xb4, 0x84, 0x00, 0xc0, 0x4f, 0x72, 0xde, 0x8b)

## Define Documentation

#define PCI_CB_INTRF_VERSION 1

| Definition at line 31 of file pciintrf.h.

#define PCI_PME_INTRF_STANDARD_VER 1

| Definition at line 127 of file pciintrf.h.

## Typedef Documentation

typedef NTSTATUS(* PCARDBUSADD)(IN PDEVICE_OBJECT DeviceObject, IN OUT PVOID *DeviceContext)

| Definition at line 35 of file pciintrf.h.

typedef NTSTATUS(* PCARDBUSDELETE)(IN PVOID DeviceContext)

| Definition at line 42 of file pciintrf.h.

typedef NTSTATUS(* PCARDBUSPCIDISPATCH)(IN PVOID DeviceContext, IN PIRP Irp)

| Definition at line 48 of file pciintrf.h.

typedef struct _PCI_CARDBUS_INTERFACE_PRIVATE PCI_CARDBUS_INTERFACE_PRIVATE

typedef struct _PCI_PME_INTERFACE PCI_PME_INTERFACE

typedef struct _PCI_CARDBUS_INTERFACE_PRIVATE * PPCI_CARDBUS_INTERFACE_PRIVATE

typedef struct _PCI_PME_INTERFACE * PPCI_PME_INTERFACE

typedef VOID(* PPME_CLEAR_PME_STATUS)(IN PDEVICE_OBJECT Pdo)

| Definition at line 94 of file pciintrf.h.

typedef VOID(* PPME_GET_INFORMATION)(IN PDEVICE_OBJECT Pdo, OUT PBOOLEAN PmeCapable, OUT PBOOLEAN PmeStatus, OUT PBOOLEAN PmeEnable)

| Definition at line 85 of file pciintrf.h.

typedef VOID(* PPME_SET_PME_ENABLE)(IN PDEVICE_OBJECT Pdo, IN BOOLEAN PmeEnable)

| Definition at line 100 of file pciintrf.h.

## Function Documentation

DEFINE_GUID | ( | GUID_PCI_PME_INTERFACE | ,
|  | 0xaac7e6ac | ,
|  | 0xbb0b | ,
|  | 0x11d2 | ,
|  | 0xb4 | ,
|  | 0x84 | ,
|  | 0x00 | ,
|  | 0xc0 | ,
|  | 0x4f | ,
|  | 0x72 | ,
|  | 0xde | ,
|  | 0x8b |
| ) |

DEFINE_GUID | ( | GUID_PCI_CARDBUS_INTERFACE_PRIVATE | ,
|  | 0xcca82f31 | ,
|  | 0x54d6 | ,
|  | 0x11d1 | ,
|  | 0x82 | ,
|  | 0x24 | ,
|  | 0x00 | ,
|  | 0xa0 | ,
|  | 0xc9 | ,
|  | 0x32 | ,
|  | 0x43 | ,
|  | 0x85 |
| ) |